<div class="text-layout">
  <h1>Pipe no tan comunes</h1>
  <p>Piples incluidos en Angular - usualmente en Common Module</p>
</div>
<hr>

<div class="grid">


  <div class="col md:col-6">
    <p-fieldset legend="i18nSelect Pipe" [toggleable]="true">
      <p>
        Saludos {{nombre}}, es un placer
        {{genero | i18nSelect : invitacionMapa}}
        a nuestro evento
      </p>
      <button pButton class="p-button-help mr-3" (click)="cambiarPersona()">Cambiar persona</button>
      <button pButton class="p-button-label" (click)="reset(1)">Reset values</button>
    </p-fieldset>
  </div>


  <div class="col md:col-6">
    <p-fieldset legend="i18nPlural Pipe" [toggleable]="true">
      <p>
        Actualmente {{clientes.length | i18nPlural:clientesMapa}}
      </p>
      <button pButton class="p-button-danger mr-3" (click)="borrarCliente()">Eliminar persona</button>
      <button pButton class="p-button-label" (click)="reset(2)">Reset values</button>
    </p-fieldset>
  </div>


  <div class="col md:col-6">
    <p-fieldset legend="Slice Pipe" [toggleable]="true">
      <b>Original</b>
      <pre>{{clientes}}</pre>

      <b>slice:0:2</b>
      <pre>{{clientes | slice:0:2}}</pre>

      <b>slice:1:2</b>
      <pre>{{clientes | slice:1:2}}</pre>
    </p-fieldset>
  </div>


  <div class="col md:col-6">
    <p-fieldset legend="Json Pipe" [toggleable]="true">
      <pre>{{heroes | json}}</pre>
    </p-fieldset>
  </div>


  <div class="col md:col-6">
    <p-fieldset legend="KeyValue Pipe" [toggleable]="true">
      <li *ngFor="let item of persona | keyvalue">
        {{item.key | titlecase}}: {{item.value}}
      </li>
    </p-fieldset>
  </div>

  <div class="col md:col-6">
    <p-fieldset legend="Async Pipe" [toggleable]="true">
      <pre>{{miObservable | async }}</pre>
      <br>
      <div>
        <pre *ngIf="!(valorPromesa | async)">Resolviendo promesa....</pre>
        <pre>{{valorPromesa | async }}</pre>
      </div>
    </p-fieldset>
  </div>

</div>
